io.vertx.ext.unit.report

## Interface TestSuiteReport

- All Superinterfaces:
    ReadStream<TestCaseReport>, StreamBase

      public interface TestSuiteReport
      extends ReadStream<TestCaseReport>

  The test suite reports is basically a stream of events reporting the test suite execution.
  Author:
    Julien Viet

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `TestSuiteReport` | `endHandler(Handler<Void> endHandler)` Set an end handler.
    `TestSuiteReport` | `exceptionHandler(Handler<Throwable> handler)` Set an exception handler, the exception handler reports the test suite errors, it can be called mulitple times before the test ends.
    `TestSuiteReport` | `handler(Handler<TestCaseReport> handler)` Set a data handler.
    `String` | `name()`
    `TestSuiteReport` | `pause()` Pause the `ReadStream`, it sets the buffer in `fetch` mode and clears the actual demand.
    `TestSuiteReport` | `resume()` Resume reading, and sets the buffer in `flowing` mode.

    - ### Methods inherited from interface io.vertx.core.streams.ReadStream

      `fetch, pipe, pipeTo, pipeTo`

- - ### Method Detail

    - #### name

          String name()

      Returns:
        the test suite name

    - #### exceptionHandler

          TestSuiteReport exceptionHandler(Handler<Throwable> handler)

      Set an exception handler, the exception handler reports the test suite errors, it can be called mulitple times before the test ends.
      Specified by:
        `exceptionHandler` in interface `ReadStream<TestCaseReport>`
      Specified by:
        `exceptionHandler` in interface `StreamBase`
      Parameters:
        `handler` - the exception handler
      Returns:
        a reference to this, so the API can be used fluently

    - #### handler

          TestSuiteReport handler(Handler<TestCaseReport> handler)

      Description copied from interface: `ReadStream`
      Set a data handler. As data is read, the handler will be called with the data.
      Specified by:
        `handler` in interface `ReadStream<TestCaseReport>`
      Returns:
        a reference to this, so the API can be used fluently

    - #### pause

          TestSuiteReport pause()

      Description copied from interface: `ReadStream`
      Pause the `ReadStream`, it sets the buffer in `fetch` mode and clears the actual demand.

      While it's paused, no data will be sent to the data `handler`.

      Specified by:
        `pause` in interface `ReadStream<TestCaseReport>`
      Returns:
        a reference to this, so the API can be used fluently

    - #### resume

          TestSuiteReport resume()

      Description copied from interface: `ReadStream`
      Resume reading, and sets the buffer in `flowing` mode.

      If the `ReadStream` has been paused, reading will recommence on it.
      Specified by:
        `resume` in interface `ReadStream<TestCaseReport>`
      Returns:
        a reference to this, so the API can be used fluently

    - #### endHandler

          TestSuiteReport endHandler(Handler<Void> endHandler)

      Description copied from interface: `ReadStream`
      Set an end handler. Once the stream has ended, and there is no more data to be read, this handler will be called.
      Specified by:
        `endHandler` in interface `ReadStream<TestCaseReport>`
      Returns:
        a reference to this, so the API can be used fluently

Copyright © 2019 Eclipse. All rights reserved.